package nft.info;

public class NftSeriesInfo {
    String seriesId;
    String name;
    String creatorAddr;
    long totalCount;
    boolean seriesBeginFromZero;
    long crtCount;
    String coverUrl;
    String desc;
    long createTimeStamp;

    public NftSeriesInfo() {
    }

    public NftSeriesInfo(String seriesId, String name, String creatorAddr, long totalCount, boolean seriesBeginFromZero, long crtCount, String coverUrl, String desc, long createTimeStamp) {
        this.seriesId = seriesId;
        this.name = name;
        this.creatorAddr = creatorAddr;
        this.totalCount = totalCount;
        this.seriesBeginFromZero = seriesBeginFromZero;
        this.crtCount = crtCount;
        this.coverUrl = coverUrl;
        this.desc = desc;
        this.createTimeStamp = createTimeStamp;
    }

    @Override
    public String toString() {
        return "NftSeriesInfo{" +
                "seriesId='" + seriesId + '\'' +
                ", name='" + name + '\'' +
                ", creatorAddr='" + creatorAddr + '\'' +
                ", totalCount=" + totalCount +
                ", seriesBeginFromZero=" + seriesBeginFromZero +
                ", crtCount=" + crtCount +
                ", coverUrl='" + coverUrl + '\'' +
                ", desc='" + desc + '\'' +
                ", createTimeStamp=" + createTimeStamp +
                '}';
    }

    public String getSeriesId() {
        return seriesId;
    }

    public void setSeriesId(String seriesId) {
        this.seriesId = seriesId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getCreatorAddr() {
        return creatorAddr;
    }

    public void setCreatorAddr(String creatorAddr) {
        this.creatorAddr = creatorAddr;
    }

    public long getTotalCount() {
        return totalCount;
    }

    public void setTotalCount(long totalCount) {
        this.totalCount = totalCount;
    }

    public boolean isSeriesBeginFromZero() {
        return seriesBeginFromZero;
    }

    public void setSeriesBeginFromZero(boolean seriesBeginFromZero) {
        this.seriesBeginFromZero = seriesBeginFromZero;
    }

    public long getCrtCount() {
        return crtCount;
    }

    public void setCrtCount(long crtCount) {
        this.crtCount = crtCount;
    }

    public String getCoverUrl() {
        return coverUrl;
    }

    public void setCoverUrl(String coverUrl) {
        this.coverUrl = coverUrl;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }

    public long getCreateTimeStamp() {
        return createTimeStamp;
    }

    public void setCreateTimeStamp(long createTimeStamp) {
        this.createTimeStamp = createTimeStamp;
    }
}
